MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032145Open CASCADE[OCCT] OCCT:Codingpublic2021-02-19 20:362021-02-21 11:43
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032145: Coding Rules - move GL functions loading to OpenGl_GlFunctions.cxx
DescriptionOpenGl_Context::init() occupies considerable size (1.7k lines) of OpenGl_Context.cxx.
It is proposed moving function loading to OpenGl_GlFunctions.cxx for better readability of OpenGl_Context.cxx.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0098989)
git (administrator)
2021-02-19 20:49

Branch CR32145 has been created by kgv.

SHA-1: f35a156965653d138f5420fb052b1d2e2eacd7d9


Detailed log of new commits:

Author: kgv
Date: Fri Feb 19 20:49:28 2021 +0300

    0032145: Coding Rules - move GL functions loading to OpenGl_GlFunctions.cxx
(0098990)
git (administrator)
2021-02-19 21:11

Branch CR32145 has been updated forcibly by kgv.

SHA-1: 4f09d0e3b4eab03d98efe761498bf4c1fbccb80d
(0098991)
git (administrator)
2021-02-19 21:46

Branch CR32145 has been updated forcibly by kgv.

SHA-1: 301bd4d47141f168eee23ebfc03c3cbd30e939c0
(0098994)
kgv (developer)
2021-02-20 06:22

Patch is ready for review
- OCCT: branch CR32145.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32145-master-KGV/ [^]
(0098995)
osa (developer)
2021-02-20 09:28

The patch was reviewed
(0099020)
bugmaster (administrator)
2021-02-21 11:32

Combination -
OCCT branch : IR-2021-02-20
master SHA - 127330f9d7ec8c87f4ec37ca8c93bbf65866cdee
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-20 SHA - 7c8d26f00c77b65a9d6b04524d1c1dce225fa6d7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17876.110000000237 / 17806.660000000233 [+0.39%]
Products
Total CPU difference: 11541.23000000011 / 11513.250000000124 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 19352.0 / 19376.859375 [-0.13%]
Products
Total CPU difference: 12836.421875 / 12857.265625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099027)
git (administrator)
2021-02-21 11:43

Branch CR32145 has been deleted by inv.

SHA-1: 301bd4d47141f168eee23ebfc03c3cbd30e939c0

- Related Changesets
occt: master e44b849d
Timestamp: 2021-02-19 17:49:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032145: Coding Rules - move GL functions loading to OpenGl_GlFunctions.cxx
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
add - src/OpenGl/OpenGl_GlFunctions.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-19 20:36 kgv New Issue
2021-02-19 20:36 kgv Assigned To => kgv
2021-02-19 20:49 git Note Added: 0098989
2021-02-19 21:11 git Note Added: 0098990
2021-02-19 21:46 git Note Added: 0098991
2021-02-20 06:22 kgv Note Added: 0098994
2021-02-20 06:22 kgv Assigned To kgv => osa
2021-02-20 06:22 kgv Severity minor => integration request
2021-02-20 06:22 kgv Status new => resolved
2021-02-20 06:23 kgv Description Updated View Revisions
2021-02-20 06:23 kgv Description Updated View Revisions
2021-02-20 06:24 kgv Description Updated View Revisions
2021-02-20 09:28 osa Note Added: 0098995
2021-02-20 09:28 osa Assigned To osa => bugmaster
2021-02-20 09:28 osa Status resolved => reviewed
2021-02-21 11:32 bugmaster Note Added: 0099020
2021-02-21 11:32 bugmaster Status reviewed => tested
2021-02-21 11:36 bugmaster Test case number => Not required
2021-02-21 11:40 bugmaster Changeset attached => occt master e44b849d
2021-02-21 11:40 bugmaster Status tested => verified
2021-02-21 11:40 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099027


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker